
Redmine - Feature #6004

New generator : redmine_plugin_scaffold

2010-07-30 14:48 - Jean-Baptiste Barth

Status: Closed Start date: 2010-07-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I often develop tiny plugins these days for specific needs at work, and it's a pain to redo the same things each time in the views,

controllers, etc. See patch attached. I'd be happy to have feedback, and tell me if you think it should be integrated to the core.

NB: it does not generates locales of course, and it does not rename migrations to "00N_" style ; so you have those two things to do

before using such a scaffold in your plugin

History

#1 - 2010-08-04 22:14 - Jean-Baptiste Barth

- File deleted (redmine_plugin_scaffold.diff)

#2 - 2010-08-04 22:16 - Jean-Baptiste Barth

- File 6004_git.diff added

Some fixes after using it this week.

#3 - 2010-10-25 17:00 - Eric Davis

- Assignee deleted (Eric Davis)

#4 - 2013-05-02 00:38 - Jean-Baptiste Barth

- Status changed from New to Closed

Totally outdated patch, plus I survived 3 years without that finally ;) I close this issue.

Files

6004_git.diff 12.9 KB 2010-08-04 Jean-Baptiste Barth
